<?php

declare(strict_types=1);

namespace Gls\GlsPoland\AdePlus\Type;

final class CStatus
{
    /**
     * @var int
     */
    private $status;

    public function getStatus(): int
    {
        return $this->status;
    }

    public function withStatus(int $status): CStatus
    {
        $new = clone $this;
        $new->status = $status;

        return $new;
    }
}
